<h1>
<span property="schema:name">CSDC/MSO Pipelines</span>
</h1>

<div class="content">
  
  <div property="schema:text" class="field field--name-body field--type-text-with-summary field--label-hidden field--item"><p>
      NSF's National Optical-Infrared Research Laboratory (NOIRLab) Community
      Science and Data Center (CSDC) is charged with development and/or support of
      pipelines for NOIRLab's Mid-Scale Observatories (MSO) affilliated
      instruments by the CSDC/MSO pipeline group.  The pipeline group has
      developed software and pipeline infrastructure -- e.g. the NOAO
      High-Perforamnce Pipeline System (NHPPS) -- for several instruments -- e.g.
      DECam, MOSAIC, and NEWFIRM.  The NHPPS-based pipelines are highly efficient,
      distributed and parallel applications.  CSDC/MSO has also been involved with
      collaborative pipelines; to be provided to and operated by the CSDC, e.g.
      Dark Energy Camera Community Pipeline (DCP), or to provide pipeline
      software, e.g. the WIYN One Degree Imager (ODI) Pipeline, Portal, and
      Archive project.

    <p> Living software evolves with time and so a document library will contain
      documents of different vintages. Also documents may refer to the MSO
      predecessor NOAO and various programs -- Data Products Program (DPP) and
      Science Data Management (SDM).  In this library, those documents which are
      still reasonably accurate, though out-of-date in some details, may be found.
      Documents are in various formats with PDF and HTML being most common.


      <h4>Recent Documents</a></h4>

<p>
  <dl>
    <dt><a href="PL206/">PL206</a>:
      The DECam Community Pipelines Instrumental Signature
      Removal, Valdes,
      2021 (Version 1.0, August 2021, <a href="PL206/">html</a>)

    <dt><a href="PL203/">PL203</a>:
      Instrumental Signature Removal for the Legacy
      Surveys, Valdes, 2021 (DRAFT IN PROGRESS, <a href="PL203/">html</a>)

    <dt><a href="PL028/PL028.pdf">PL028</a>:
      Operator's Guide to the DECam Community Pipeline, Valdes, 2020 (V1
      August 2020, <a href="PL028/PL028.pdf">pdf</a>)
  </dl>

  <h4><a href="">Pipeline Technical Document Series:</a></h4>

<p>
  <dl>

    <dt> <h4>NOAO High Performance Pipeline System (NHPPS) Documents</h4>

    <dt><a href="PL001.pdf">PL001</a>:
      The NOAO High-Performance Pipeline System, Valdes et al., 2006 (<a href="PL001.html">html</a>)

    <dt><a href="PL002.pdf">PL002</a>:
      The NHPPS Pipeline Definition Language (PDL), Valdes et al., 2012 (<a href="PL002.html">html</a>)

    <dt><a href="PL008.pdf">PL008</a>:
      The NOAO High-Performance Pipeline System:
      Architecture Overview, Cline et al., 2006

    <dt><a href="PL010.pdf">PL010</a>:
      The NOAO Mosaic Pipeline Architecture, Pierfederici et al., 2003

    <dt><a href="PL011.pdf">PL011</a>:
      FLIPPER: A FLexIble PiPeline framEwoRk, Pierfederici, 2005

    <dt><a href="PL027.pdf">PL027</a>:
      The NHPPS Simple, Light-Weight Message Protocol,
      Valdes, et al., Jan. 2012

    <dt> <h4>DECam Community Pipeline (DCP) and Legacy Surveys Pipelines </h4>

      The Dark Energy Camera Community Pipeline (DCP) is a currently active (and
      evolving) MSO pipeline for the instrumental calibration of all DECam
      observations.  The Legacy Surveys, which cover a large fraction of the
      sky, makes use of the DCP as well as pipelines specifically developed
      for the surveys and the Mosaic-3 and Steward Observatory Bok camera.
      The latter pipelines are documented in one of the documents in this
      section.

      <p>
	<dt><a href="PL206/">PL206</a>:
	  The DECam Community Pipelines Instrumental Signature
	  Removal, Valdes,
	  2021 (Version 1.0, August 2021, <a href="PL206/">html</a>)

	<dt><a href="PL201/">PL201</a>:
	  Preliminary Description of the DECam Community Pipeline, Valdes,
	  (January 2014, <a href="PL201/">html</a>)

	<dt><a href="PL202/ADASS202.pdf">PL202</a>:
	  The DECam Community Pipeline - an overview, Valdes, Gruendl, and
	  the DES Project, 2014 (ADASS preprint)

	<dt><a href="PL203/">PL203</a>:
	  Instrumental Signature Removal for the Legacy
	  Surveys, Valdes, 2021 (DRAFT IN PROGRESS, <a href="PL203/">html</a>)

	<dt><a href="PL028/PL028.pdf">PL028</a>:
	  Operator's Guide to the DECam Community Pipeline, Valdes, 2020 (V1
	  August 2020, <a href="PL028/PL028.pdf">pdf</a>)

	<dt><a href="BOK/BOKPL150826.pptx">BOK 90prime Pipeline (pptx)</a>:
	  Overview of the BOK 90prime Pipeline (BCP) at the 2015 Legacy Surveys
	  team meeting, Valdes, 2015

	<dt><a href="PL301/PL301.pdf">PL301</a>:
	  Calibrating Astronomical Exposures Contaminated by Out-of-Focus
	  (Pupil) Camera Reflections, Valdes, 2013.

	  Instrumental Signature Removal for the Legacy Surveys, Valdes, 2021 (DRAFT IN PROGRESS, <a href="PL203/">html</a>)

	<dt><a
	      href="https://noirlab.edu/science/documents/scidoc1203">The
	    NOAO Data Handbook</a> (pdf):
	  Includes information about instruments, pipelines, and data formats.
	  There is a chapter on the CP circa 2015, V2.2 May 2015

	<dt><a href="PL204/DEC001.pdf">PL204</a>:
	  Integrating the DESDM-CP Into NOAO/E2Ea, Valdes, 2012.

	<dt><a href="PL205/DEC099.pdf">PL205</a>:
	  The NOAO DECam Community Pipeline Option, Valdes and Swaters, 2011.

	<dt> <h4>Mosaic1 and Mosaic2</h4>

	<dt><a href="PL003/PL003.pdf">PL003</a>:
	  The NOAO High-Performance Pipeline System: The Mosaic Camera Pipeline
	  Calibrations, Valdes, Swaters, Huard, February 1, 2008 (Incomplete)

	<dt><a href="PL004.pdf">PL004</a>:
	  Mosaic Pipeline Operator's Manual, Valdes and Zarate

	<dt><a href="PL007.pdf">PL007</a>:
	  The NOAO High-Performance Pipeline System:
          The Mosaic Camera Pipeline Algorithms,
	  Valdes and Swaters

	<dt><a href="PL009.pdf">PL009</a>:
	  The NOAO High-Performance Pipeline System:
	  The Mosaic Camera Pipeline,
	  Swaters and Valdes

	<dt> <h4>MSO Specific Documents</h4>

	<dt><a href="PL012.pdf">PL012</a>:
	  NOAO Science Pipelines Operations Model,
	  Valdes et al.

	<dt><a href="PL014.pdf">PL014</a>:
	  NEWFIRM KTM, Observing Tools, and Quick-Reduce Pipeline,
	  Valdes, Swaters, and Dickinson

	<dt><a href="PL016.pdf">PL016</a>:
	  NEWFIRM Linearity Calibration and Correction,
	  Mark Dickinson

	<dt><a href="PL020.pdf">PL020</a>:
	  The NOAO Calibration Library System,
	  Valdes, 2018

	<dt><a href="PL024.pdf">PL024</a>:
	  Remediation in the NOAO Pipelines,
	  Valdes and Swaters

	<dt><a href="PL026.pdf">PL026</a>:
	  Pipeline Scheduling Operator Interface,
	  Valdes

	<dt> <h4>ODI Documents</h4>

	  <p> NOAO collaborated with the WIYN Consortium, and the Indiana
	    Supercomputer Center to develop an NHPPS pipeline for the first
	    version of the One Degree Imager that would be hosted at the
	    supercomputer center and make use of the Open Grid Computing Environment
	    (OGCE) as a meta-orchestrator.  After considerable development work
	    the WIYN Consortium decided to take a different path to an ODI
	    calibration pipeline.  So the articles here are largely historical but
	    contain some interesting concepts and documentation.

	    <dt><a href="PL013.pdf">PL013</a>:
	      ODI Pipeline Data Flow Design,
	      Valdes and Swaters

	    <dt><a href="PL019.pdf">PL019</a>:
	      Transforming NHPPS Pipeline Applications into Grid Applications,
	      Valdes

	    <dt><a href="PL021.pdf">PL021</a>:
	      The ODI Demonstration Tier 1 Pipeline,
	      Valdes and Marru

	    <dt><a href="PL023.pdf">PL023</a>:
	      The Marriage of Mario (NHPPS) and Luigi (OGCE),
	      Valdes and Marru

	    <dt><a href="PL101.pdf">PL101</a>:
	      Automatic Calibration Pipeline Application Design,
	      Valdes

	    <dt><a href="PL102/">PL102</a>:
	      High Level ODI Pipeline Workflow Architecture,
	      Valdes (HTML)

	    <dt><a href="PL103.pdf">PL103/CDR-45</a>:
	      The ODI-PPA Calibration Library System,
	      Valdes, Swaters, Sun, Nov. 2011

	    <dt><a href="PL104.pdf">PL104/CDR-46</a>:
	      The ODI Pipeline Scheduling Agent ICD,
	      Valdes, Swaters, Dec. 2011

	    <dt><a href="PL105.pdf">PL105/CDR-18</a>:
	      ODI Automatic Calibration Pipeline Design Elements,
	      Swaters, Valdes, Feb. 2012

	    <dt><a href="PL106.pdf">PL106/CDR-19</a>:
	      ODI Automatic Pipeline Data Products,
	      Swaters, Valdes, Oct. 2011

  </dl>
</p>

<h4> ADASS/SPIE </h4>
<p>
  <dl>
    <dt>
      The NEWFIRM Observing Software: From Design To Implementation
      <dd> Daly, et al., 2008 (<a href="7019-40.pdf">SPIE 7019-40</a>)
	<br> This includes a brief description of the NEWFIRM Quick Reduce Pipeline and
	triggering of the pipeline by the data handling system.
	<dt>
	  The NOAO High-Performance Pipeline System: The Mosaic Camera Pipeline Algorithms
	  <dd> Valdes and Swaters, 2006
	    <br><a href="PL007.pdf">NOAO SDM Document PL007</a>,
	    <a href="ADASS007.pdf">ADASS preprint</a>
	    <dt>
	      The NOAO High-Performance Pipeline System: Architecture Overview
	      <dd> Cline, et al. 2006
		<br><a href="PL008.pdf">NOAO SDM Document PL008</a>,
		<a href="ADASS008.pdf">ADASS preprint</a>
		<dt>
		  The NOAO High-Performance Pipeline System: The Mosaic Camera Pipeline
		  <dd> Swaters and Valdes 2006
		    <br><a href="PL009.pdf">NOAO SDM Document PL009</a>,
		    <a href="ADASS009.pdf">ADASS preprint</a>
		    <dt>
		      The NOAO Mosaic Pipeline Architecture
		      <dd> Pierfederici, et al. 2003
			<br><a href="PL010.pdf">NOAO SDM Document PL010</a>,
			<a href="ADASS010.pdf">ADASS preprint</a>
			<dt>
			  FLIPPER: a FLexIble PiPeline framEwoRk
			  <dd> Pierfederici 2004
			    <br><a href="PL011.pdf">NOAO SDM Document PL011</a>,
			    <a href="ADASS011.pdf">ADASS preprint</a>
			    <dt>
			      The DECam Community Pipeline
			      <dd> Valdes, Gruendl, and the DES Project, 2014
				<br><a href="PL202/ADASS202.pdf">ADASS preprint</a>
  </dl>
</p>
</div>
<p class="text-right"><em>Updated on December 30, 2021, 5:59 am</em></p>
</div>
